@tailwind base;
@tailwind components;
@tailwind utilities;

@layer base {
    @font-face {
        font-family: raleway;
        src: url(../fonts/raleway-regular.woff2);
        font-weight: normal;
    }

    @font-face {
        font-family: avenir;
        src: url(../fonts/raleway-black.woff2);
        font-weight: bold;
    }
/*
    @font-face {
        font-family: avenir;
        src: url(../fonts/raleway-black.woff2);
        font-weight: 800;
    } */

    body, html {
        font-family: raleway;
    }

    html {
        scroll-behavior: smooth;
    }
}

@layer utilities {
    .z-100 {
        z-index: 100;
    }
}

@layer components {
    .global-px {
        @apply px-4 md:px-36 lg:px-40;
    }

    .global-py {
        @apply py-5 md:py-10;
    }

    .red-button {
        @apply bg-red-600 text-white rounded-lg text-center text-xl m-2 px-12 py-1 font-bold inline-block;
    }

    .white-button {
        @apply border border-white text-white rounded-lg text-center text-xl m-2 px-12 py-1 font-bold inline-block;
    }

    .btn-loading {
        color: transparent !important;
        position: relative
    }

    .btn-loading:after {
        content: " ";
        display: block;
        width: 20px;
        height: 20px;
        margin: 8px;
        border-radius: 50%;
        border: 4px solid #fff;
        border-color: #fff transparent #fff transparent;
        animation: btn-loading 1.2s linear infinite;

        position: absolute;
        top: 0;
        left: 45%;
        transform: translateX(-50%);
    }

    @keyframes btn-loading {
        0% {
            transform: rotate(0deg);
        }
        100% {
            transform: rotate(360deg);
        }
    }

    .main-menu ul {
        @apply list-none;
    }

    .main-menu li:not(.hidden) {
        @apply p-5 text-white w-full md:w-auto inline-block;
    }

    .header-gradient::before {
        @apply absolute block top-0 left-0 w-full h-full z-20;
        background-image: linear-gradient(180deg, #000000 0%, rgba(84,84,84,0) 100%);
        content: '';
    }

    .service-item {
        @apply grid grid-cols-1 md:grid-cols-2 mb-5;
    }

    .service-item-content {
        @apply text-gray-500 md:py-5;
    }

    .service-item-tag {
        @apply inline-block rounded-full border border-red-600 text-red-600 px-5 py-2 mb-2;
    }

    .service-item-image {
        @apply w-full md:px-5 mb-5;
    }

    .view-more {
        @apply block uppercase;
    }

    .view-more::after {
        @apply inline-block ml-1;
        background: url(../images/external-link.svg) center center no-repeat;
        background-size: contain;
        content: '';
        height: 18px;
        width: 18px;
    }

    .benefits {
        background: url(../images/benefits_bg.jpg) center center no-repeat;
        @apply text-white bg-fixed;
        background-size: cover;
    }

    .benefit-item {
        @apply flex flex-col items-center p-1 md:p-5 mb-5 text-center;
    }

    .benefit-item-image {
        @apply mb-5;
        height: 120px;
    }

    .project-iframe {
        @apply w-full;
        min-height: 350px;
    }

    .testimonials {
        @apply relative;
    }

    .testimonials::after {
        @apply absolute block -bottom-24 md:-bottom-16 left-0 w-full;
        content: '';
        height: 140px;
        background: url(../images/helmet.png) center center no-repeat;
    }

    .testimonial-item {
        @apply text-xl mb-5 relative p-5;
    }

    .testimonial-item::before {
        @apply absolute -top-2 left-2 text-gray-300 text-9xl font-bold;
        content: "\201c";
    }

    .social-button {
        @apply flex justify-center items-center text-4xl rounded-md bg-red-600 text-white text-center;
        width: 48px;
        height: 48px;
    }

    .projects .lSSlideOuter .lSPager.lSpg>li.active a, .lSSlideOuter .lSPager.lSpg>li:hover a {
        @apply bg-red-600 border-2 border-gray-600;
    }

    .projects .lSSlideOuter .lSPager.lSpg>li a {
        @apply bg-gray-600;
        height: 24px;
        width: 24px;
    }

    .projects .lSSlideWrapper {
        @apply mb-2;
    }

    .testimonials .lSAction>a,
    .clients .lSAction>a {
        filter: invert(0.7);
    }

    .project-gallery > div {
        @apply hidden;
    }

    .project-gallery > div.active {
        @apply grid;
    }

    .mask {
        /*background: url(../images/mask-gallery.png) center center no-repeat;*/
        background-size: cover;
        background-repeat: no-repeat;
        background-position: center top;
    }
}
